export function useWindowActions() {
    const toggle = () => {
        console.info("TOGGLE");
        window.electron.ipcRenderer.invoke('window-toggle');
    }

    const close = () => { 
        console.info("CLOSE");
        window.electron.ipcRenderer.invoke('window-close');
    }

    const minimize = () => { 
        console.info("MINIMIZE");
        window.electron.ipcRenderer.invoke('window-minimize');
    }

    return {
        toggle,
        minimize,
        close
    }
}